Name: 		libnfs
Summary: 	NFS client library
Version:    1.10.0
Release: 	1.1
License: 	LGPL-2.1
Group: 		System/Libraries
Url: 		https://www.github.com/sahlberg/libnfs
Source0: 	%{name}-%{version}.tar.bz2

BuildRoot: 		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libxslt-tools
BuildRequires:	pkgconfig
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	popt-devel

%description
LIBNFS is a client library for accessing NFS shares over a network.

LIBNFS offers three different APIs, for different use :
1. RAW : A fully async low level RPC library for NFS protocols

2. NFS ASYNC : A fully asynchronous library for high level vfs functions

3. NFS SYNC : A synchronous library for high level vfs functions

%package -n libnfs-devel
Summary:	Development files for libnfs
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}

%description devel
Development libraries and files for libnfs

%prep
%setup 

%build
./bootstrap
%configure --disable-examples
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/%{name}.a
rm %{buildroot}%{_libdir}/%{name}.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING LICENCE-LGPL-2.1.txt
%{_libdir}/%{name}.so.*
%{_bindir}/nfs-cat
%{_bindir}/nfs-cp
%{_bindir}/nfs-ls
%{_mandir}/man1/nfs-cat.1.gz
%{_mandir}/man1/nfs-cp.1.gz
%{_mandir}/man1/nfs-ls.1.gz


%files -n libnfs-devel
%defattr(-,root,root)
%dir %{_includedir}/nfsc
%{_includedir}/nfsc/libnfs.h
%{_includedir}/nfsc/libnfs-raw.h
%{_includedir}/nfsc/libnfs-raw-mount.h
%{_includedir}/nfsc/libnfs-raw-nfs.h
%{_includedir}/nfsc/libnfs-raw-portmap.h
%{_includedir}/nfsc/libnfs-raw-rquota.h
%{_includedir}/nfsc/libnfs-raw-nlm.h
%{_includedir}/nfsc/libnfs-raw-nsm.h
%{_includedir}/nfsc/libnfs-zdr.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
